Nucleus Powered Mitochondria

    assert-outdated

    3.4.105 • Public • Published

    assert-outdated

    • Allows to set a maximal number of outdated dependencies.
    • Enforces an up to date stack.
    • Zero dependencies.

    Install

    npm install --save-dev assert-outdated
    

    Usage

    On commandline you can run the command like this:

    node_modules/.bin/assert-outdated-npm-modules --max-warnings 10 --ignore-pre-releases
    

    Or put it into your package.json:

    {
      "scripts": {
        "outdated-modules": "assert-outdated-npm-modules --max-warnings 10 --ignore-pre-releases",
        "test": "npm run lint && npm run outdated-modules && npm run unit-test"
      }
    }
    

    Keywords

    none

    Install

    npm i assert-outdated

    DownloadsWeekly Downloads

    4

    Version

    3.4.105

    License

    MIT

    Unpacked Size

    13.1 kB

    Total Files

    12

    Last publish

    Collaborators

    • mren